Summary: A library to handle various audio file formats.
Name: libsndfile
Version: 1.0.17
Release: 1
Source0: %{name}-%{version}.tar.gz
License: LGPL
Group: System Environment/Libraries
URL: http://www.mega-nerd.com/libsndfile/
Prefix: %{_hhl_cross_target_dir}
Buildroot: %{_tmppath}/%{name}-%{_hhl_target_arch}-root


# security fix
Patch100: libsndfile-1.0.16_CVE-2007-4974.patch

#Requires: alsa-lib
#BuildRequires: alsa-lib-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux

%description
libsndfile is a C library for reading and writing sound files such as
AIFF, AU and WAV files through one standard interface. It can currently
read/write 8, 16, 24 and 32-bit PCM files as well as 32-bit floating
point WAV files and a number of compressed formats.

%package devel
Summary: Libraries, includes, etc to develop libsndfile applications
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Libraries, include files, etc you can use to develop libsndfile applications.

%description devel -l ja
Libraries, include files, etc you can use to develop libsndfile applications.


%prep

%setup -q 

%patch100 -p1 -b .CVE-2007-4974

%build
%target_setup
%target_configure --disable-sqlite --disable-flac
%__make %{?_smp_mflags}

%install
%target_setup
rm -rf $RPM_BUILD_ROOT
# htmldir=$RPM_BUILD_ROOT\$\(htmldocdir\) libsndfile1-dev
make -C objdir install DESTDIR=%{buildroot}%{_hhl_cross_target_dir}
#htmldir=$RPM_BUILD_ROOT%{_datadir}/doc/libsndfile1-dev

#cp -pr $RPM_BUILD_ROOT%{_datadir}/doc/libsndfile1-dev html
#rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/libsndfile1-dev

%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/lib*.so*

%files devel
%defattr(-,root,root)
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libsndfile.a
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/libsndfile.la
%{_hhl_cross_target_dir}%{_hhl_target_include_dir}/sndfile.h
%{_hhl_cross_target_dir}%{_hhl_target_lib_dir}/pkgconfig/sndfile.pc

%changelog
* Thu Nov 20 2008 Yamaha Corporation
- released for MVL 4 (branched from Vine Plus project).

* Mon Oct 22 2007 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.0.17-0vl1
- new upstream release

* Mon Oct 22 2007 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.0.16-0vl3.1
- add patch100 for fix CVE-2007-4974 (PCM Data Handling Buffer Overflow)
- built for VinePlus 4.x

* Fri Nov 17 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 1.0.16-0vl3
- add BuildRequires: alsa-lib-devel
- add '--disable-sqlite --disable-flac' options to %%configure

* Mon May 01 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.0.16-0vl2
- rebuilt for VineSeed Plus

* Mon May 01 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.0.16-0vl1
- new upstream release
- fixed Japanese summary

* Wed Feb 08 2006 Atsushi SHICHI <ats7@a.email.ne.jp> 1.0.13-1vl1
- initial build for VinePlus/3.0
- modified spec file

* Sun May 15 2005 Erik de Castro Lopo <erikd@mega-nerd.com>
- Add html files to the files section.

* Tue Sep 16 2003 Erik de Castro Lopo <erikd@mega-nerd.com>
- Apply corrections from Andrew Schultz.

* Mon Oct 21 2002 Erik de Castro Lopo <erikd@mega-nerd.com>
- Force installation of sndfile.pc file.

* Thu Jul 6 2000 Josh Green <jgreen@users.sourceforge.net>
- Created libsndfile.spec.in


# end of file
